프로비저닝할 항목 없음
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. type는 https://lingo.dev/docs/api/errors/nothing-to-provision입니다. 모든 오류의 공통 형식은 오류 및 상태 코드를 참고하세요.
이 엔진에는 종류별로 이미 세트가 있어 더 채울 항목이 없습니다. 엔진이 적용하는 기존 세트에 다른 세트를 추가하려면 종류를 선택하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
reason | "everyKindHeld" | "brandVoiceHeld" | "nothingFailed" | "failedSinceHeld" |
예시#
json
{
"detail": "Every kind already has a set on this engine, so there is nothing to fill. Pick a kind to add another set next to the ones the engine applies.",
"reason": "everyKindHeld",
"type": "https://lingo.dev/docs/api/errors/nothing-to-provision",
"status": 409,
"title": "Nothing to provision"
}반환하는 엔드포인트#
POST /v2/engines/{engineId}/provisioning/jobsPOST /v2/provisioning/jobs/{id}/retry